/*
pot.install.c est le programme d'installation de pot
Copyright (C) 2001 Fabien Carrion et Guillaume Pinot

Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les
termes de la Licence Publique Gnrale GNU publie par la Free Software
Foundation (version 2).

Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE,
ni explicite ni implicite, y compris les garanties de commercialisation ou
d'adaptation dans un but spcifique. Reportez-vous  la Licence Publique
Gnrale GNU pour plus de dtails.

Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
temps que ce programme ; si ce n'est pas le cas, crivez  la Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.

fcarrion@etu.utc.fr
pinotgui@etu.utc.fr
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

int compte(void)
{
char *utilisateur;
char buf[9];

uid_t euid , ruid;
FILE *fichier;

euid = geteuid();
ruid = getuid();

utilisateur = (char *)getenv("USER");

seteuid(ruid);

fichier = fopen("/users/pinotgui/bin/pot.utilisateur","a+");

while(!feof(fichier))
	{
	fscanf(fichier , "%s" , buf);
	if ( strcmp(buf , utilisateur) == (int)NULL )
		{
		fclose(fichier);
		return 0;
		}
	}

strcat(utilisateur , "\n");
fprintf(fichier, "%s" ,utilisateur);
fclose(fichier);
seteuid(euid);
return 1;
}



void login(void)
{
FILE *login;
char *chemin;
char pot[256];
char reponse[2];
/* recueil du chemin de pot.pot et de pot.pot.linux */
chemin = (char *)getenv("HOME");
strcat(chemin,"/.login");
login = fopen(chemin, "a+");
while(!feof(login))
	{fscanf(login , "%s" , pot);
	if ( strcmp(pot , "pot") == NULL )
		{return ;}
	}
printf("Voulez-vous que pot se lance au dmarrage?(o/n)");
scanf("%s",reponse);
switch ( reponse[0] )
{case 'n' : break;
case 'y' :;case 'o' : printf("ok\n");fprintf(login , "pot"); break ;
default : printf("Bon ben tu ne l'aura pas au dmarrage.\n"); break;
}
printf("Voulez-vous etre dans la mailing liste de pot?( On envoie rarement des mails...)(o/n)");
scanf("%s",reponse);
switch ( reponse[0] )
{case 'n' : printf("bye\n"); return;
case 'y' :;case 'o' : printf("ok\n"); compte(); return ;
default : printf("Bon ben On t'inscrit.\n");  compte(); return ;
}}

int main()
{
char reponse[2];
FILE *install;
printf("Voulez-vous installer le programme pot? (o/n)");
scanf("%s",reponse);
switch ( reponse[0] )
{case 'n' : printf("bye\n"); return 0;
case 'y' :;case 'o' : install = popen("/users/pinotgui/prog/pot/pot.install2","r"); login(); return 0;
default : printf("c'est oui ou non\n"); return 0;
}
return 0;
}
